package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class CreateBatchAdjustBillFacade extends AbstractBizCtrl implements ICreateBatchAdjustBillFacade
{
    public CreateBatchAdjustBillFacade()
    {
        super();
        registerInterface(ICreateBatchAdjustBillFacade.class, this);
    }
    public CreateBatchAdjustBillFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ICreateBatchAdjustBillFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("AB414F48");
    }
    private CreateBatchAdjustBillFacadeController getController() throws BOSException
    {
        return (CreateBatchAdjustBillFacadeController)getBizController();
    }
    /**
     *创建单据-User defined method
     *@param otherContractId 员工其他合同ID
     *@param leadDays 前沿天数
     *@param startDate 开始时间（yyyy-MM-dd）
     *@param endDate 结束日期（yyyy-MM-dd）
     */
    public void createBill(String otherContractId, int leadDays, String startDate, String endDate) throws BOSException
    {
        try {
            getController().createBill(getContext(), otherContractId, leadDays, startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}